package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 测评点位;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评点位",description = "")
@TableName("ta_check_item")
public class TaCheckItem implements Serializable,Cloneable{
      /** 点位ID */
      @ApiModelProperty(name = "点位ID",notes = "")
      @TableId(value = "item_id", type = IdType.INPUT)
      private String itemId ;
      /** 所属测评 */
      @ApiModelProperty(name = "所属测评",notes = "")
      private String checkId ;
      /** 名称 */
      @ApiModelProperty(name = "名称",notes = "")
      private String name ;
      /** 满分 */
      @ApiModelProperty(name = "满分",notes = "")
      private Double score ;
      /** 事件份数 */
      @ApiModelProperty(name = "事件份数",notes = "")
      private Integer examinationNum ;
      /** 状态 */
      @ApiModelProperty(name = "状态",notes = "")
      private Integer status ;
      /** 创建人 */
      @ApiModelProperty(name = "创建人",notes = "")
      private String createUser ;
      /** 创建时间 */
      @ApiModelProperty(name = "创建时间",notes = "")
      private LocalDateTime createDate ;

}